NoHttpResponseException (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.NoHttpResponseException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class NoHttpResponseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.NoHttpResponseException

All Implemented Interfaces:
  Serializable

    public class NoHttpResponseException

extends IOException

Signals that the target server failed to respond with a valid HTTP response.

Version:
  $Revision: 480424 $
Author:
  Oleg Kalnichevski
See Also:
  Serialized Form

Constructor Summary
`NoHttpResponseException()` Creates a new NoHttpResponseException with a `null` detail message.
`NoHttpResponseException(String message)` Creates a new NoHttpResponseException with the specified detail message.
`NoHttpResponseException(String message, Throwable cause)` Creates a new NoHttpResponseException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoHttpResponseException

    public NoHttpResponseException()

  Creates a new NoHttpResponseException with a `null` detail message.

### NoHttpResponseException

    public NoHttpResponseException(String message)

  Creates a new NoHttpResponseException with the specified detail message.

  Parameters:
    `message` - exception message

### NoHttpResponseException

    public NoHttpResponseException(String message,
                                   Throwable cause)

  Creates a new NoHttpResponseException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.